
Foreman - Bug #17042

Failed orchestration steps are not logged

10/20/2016 07:16 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Orchestration   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3959

  

Description

If an orchestration step returns false, the task is marked as "failed" but nothing is logged:

Delete the autosign entry for xyz.example.com

    (failed task)

    (nothing appears in logs)

 We should log these with ERROR log level.

Associated revisions

Revision 2f7a4985 - 12/07/2016 10:40 AM - Lukas Zapletal

Fixes #17042 - add logging of task statuses after orchestration

Revision add80afa - 01/30/2017 11:01 AM - Lukas Zapletal

Fixes #17042 - add logging of task statuses after orchestration

(cherry picked from commit 2f7a49850c36d5a4ce06e9f8b2fe891c78434238)

History

#1 - 10/20/2016 08:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3959 added

#2 - 11/04/2016 12:46 PM - Daniel Lobato Garcia

- Target version set to 1.5.2

#3 - 12/07/2016 11:02 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2f7a49850c36d5a4ce06e9f8b2fe891c78434238.

#4 - 12/08/2016 03:18 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#5 - 12/13/2016 09:58 AM - Daniel Lobato Garcia

- Target version changed from 1.5.2 to 1.4.3
